petsc-3.7.7 2017-09-25
Report Typos and Errors

# SNESFunction

Functional form used to convey the nonlinear function to be solved by SNES

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFunction(SNES snes,Vec x,Vec f,void *ctx);

### Input Parameters

| snes | - the SNES context
| x | - state at which to evaluate residual
| ctx | - optional user-defined function context, passed in with SNESSetFunction()

### Output Parameter

f -vector to put residual (function value)

### See Also

SNESSetFunction(), SNESGetFunction()

Level:intermediate
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages